Name:           yubikey-manager
Version:        5.7.0
Release:        %mkrel 1
Summary:        Yubikey manager CLI
Group:          Security
License:        BSD-like
URL:            https://developers.yubico.com/yubikey-manager/
Source0:        https://developers.yubico.com/yubikey-manager/Releases/yubikey_manager-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(click) >= 8
BuildRequires:  python3dist(cryptography) >= 3
BuildRequires:  python3dist(fido2) >= 1
BuildRequires:  python3dist(keyring) >= 23.4
BuildRequires:  python3dist(poetry-core) >= 2
BuildRequires:  python3dist(pyscard) >= 2
Recommends:     pcsc-lite
# This contains the udev rules for setting device permissions
Recommends:     ykpers
%{?python_provide:%python_provide python3-%{name}}
Obsoletes:      python3-yubikey-manager < 4.0.9
Provides:       python3-yubikey-manager = %{version}-%{release}

%description
Yubikey manager command-line tool for configuring any YubiKey security key over
USB.

%prep
%autosetup -p1 -n yubikey_manager-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ykman yubikit
install -dm0755 %{buildroot}%{_datadir}/bash-completion/completions
install -dm0755 %{buildroot}%{_datadir}/fish/vendor_completions.d
install -dm0755 %{buildroot}%{_datadir}/zsh/site-functions

# generate shell completion files
_YKMAN_COMPLETE=bash_source PYTHONPATH="%{buildroot}%{python3_sitelib}" "%{buildroot}%{_bindir}"/ykman > "%{buildroot}%{_datadir}"/bash-completion/completions/ykman
_YKMAN_COMPLETE=fish_source PYTHONPATH="%{buildroot}%{python3_sitelib}" "%{buildroot}%{_bindir}"/ykman > %{buildroot}%{_datadir}/fish/vendor_completions.d/ykman.fish
_YKMAN_COMPLETE=zsh_source PYTHONPATH="%{buildroot}%{python3_sitelib}" "%{buildroot}%{_bindir}"/ykman > %{buildroot}%{_datadir}/zsh/site-functions/_ykman

#check
# DO NOT ATTEMPT TO RUN the TESTS!
# They will delete all data on a connected Yubikey

%files -f %{pyproject_files}
%doc NEWS README.adoc
%license COPYING
%{_bindir}/ykman
%{_datadir}/bash-completion/completions/ykman
%{_datadir}/fish/vendor_completions.d/ykman.fish
%{_datadir}/zsh/site-functions/_ykman


%changelog
* Sat May 31 2025 danf <danf> 5.7.0-1.mga10
+ Revision: 2187575
- Update to ver. 5.7.0

* Sat Apr 26 2025 danf <danf> 5.6.1-2.mga10
+ Revision: 2178713
- Support pyscard >= 2.2.2

* Wed Mar 19 2025 danf <danf> 5.6.1-1.mga10
+ Revision: 2166855
- Update to ver. 5.6.1

* Sun Mar 09 2025 daviddavid <daviddavid> 5.5.1-2.mga10
+ Revision: 2162198
- rebuild for python 3.13

* Thu Jan 23 2025 danf <danf> 5.5.1-1.mga10
+ Revision: 2140654
- Update to ver. 5.5.1
  Enable fish and zsh shell completion

* Tue Aug 27 2024 neoclust <neoclust> 5.4.0-1.mga10
+ Revision: 2091580
- New version 5.4.0

* Fri Feb 02 2024 danf <danf> 5.3.0-1.mga10
+ Revision: 2036742
- Update to ver. 5.3.0
- enable bash completion

* Thu Jan 04 2024 papoteur <papoteur> 5.2.1-2.mga10
+ Revision: 2027608
- rebuild for python 3.12

* Sat Oct 14 2023 danf <danf> 5.2.1-1.mga10
+ Revision: 1996229
- Update to ver. 5.2.1

* Wed Sep 06 2023 danf <danf> 5.2.0-1.mga10
+ Revision: 1984581
- Update to ver. 5.2.0

* Tue Feb 28 2023 wally <wally> 4.0.9-2.mga9
+ Revision: 1945746
- obsolete and provide python3-yubikey-manager (mga#31607)
- switch to dynamic buildrequires

* Mon Sep 12 2022 wally <wally> 4.0.9-1.mga9
+ Revision: 1887512
- new version 4.0.9

* Wed Mar 23 2022 umeabot <umeabot> 4.0.8-2.mga9
+ Revision: 1822733
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 danf <danf> 4.0.8-1.mga9
+ Revision: 1775062
- Update to ver. 4.0.8

* Mon Feb 14 2022 tmb <tmb> 3.1.1-4.mga9
+ Revision: 1774805
- rebuild for python 3.10

* Sun Mar 21 2021 neoclust <neoclust> 3.1.1-3.mga9
+ Revision: 1706799
- Rebuild against python 3.9

* Thu Mar 26 2020 danf <danf> 3.1.1-2.mga8
+ Revision: 1560819
- Add Recommends: ykpers for the udev rules to set Yubikey permissions

* Sat Mar 14 2020 danf <danf> 3.1.1-1.mga8
+ Revision: 1556226
- imported package yubikey-manager

